.hover-button .tn-atom {
    transition:
        background-color 0.2s ease,
        color 0.2s ease,
        box-shadow 0.2s ease !important;
}

.hover-button:hover .tn-atom {
    background-color: #eaeaea !important;
    color: #313133 !important;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.10) !important;
}

.hover-button:hover .tn-atom,
.hover-button:hover .tn-atom * {
    color: #313133 !important;
}

#rec2808170201 .menu-link .tn-atom__button-text,
#rec2816184901 .menu-link .tn-atom__button-text {
    position: relative;
    display: inline-block;
    padding-bottom: 1px;
}

#rec2808170201 .menu-link .tn-atom__button-text::before,
#rec2816184901 .menu-link .tn-atom__button-text::before {
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 1px;
    background-color: currentColor;

    transform: scaleX(0);
    transform-origin: left center;
    transition: transform 0.25s ease;
}

#rec2808170201 .menu-link:hover .tn-atom__button-text::before,
#rec2816184901 .menu-link:hover .tn-atom__button-text::before {
    transform: scaleX(1);
}